View Issue Details

IDProjectCategoryView StatusLast Update
0025381mantisbtapi restpublic2019-03-16 20:20
ReporterobmschAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.19.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025381: Get project doesn't return all versions
Description

The function 'mci_project_versions' gets the project versions through:

$t_versions = version_get_all_rows( $p_project_id, /* inherit */ null );

with

function version_get_all_rows( $p_project_id, $p_released = null, $p_obsolete = false, $p_inherit = null )

neither 'obsolete' nor 'inherited' versions are returned.

TagsNo tags attached.

Activities

atrol

atrol

2019-01-25 04:16

developer   ~0061299

Thanks @obmsch for reporting the issue.

PR https://github.com/mantisbt/mantisbt/pull/1450

Related Changesets

MantisBT: master 78a3f9ed

2019-01-25 04:09:15

atrol

Details Diff
Deliver all versions when querying projects via SOAP or REST API

Before this change, obsolete versions were not part of the response.

Fixes 0025381
Affected Issues
0025381
mod - api/soap/mc_project_api.php Diff File

Issue History

Date Modified Username Field Change
2019-01-24 13:43 obmsch New Issue
2019-01-25 04:12 atrol Assigned To => atrol
2019-01-25 04:12 atrol Status new => assigned
2019-01-25 04:12 atrol Target Version => 2.20.0
2019-01-25 04:16 atrol Note Added: 0061299
2019-02-01 02:47 atrol Changeset attached => MantisBT master 78a3f9ed
2019-02-01 02:47 atrol Status assigned => resolved
2019-02-01 02:47 atrol Resolution open => fixed
2019-02-01 02:47 atrol Fixed in Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed